Difference between revisions of "Arch CloseHoles/cs"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
 
(7 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
 +
{{docnav
 +
|[[Arch_RemoveShape|Remove Shape]]
 +
|[[Arch_MergeWalls|Merge Walls]]
 +
|[[Arch_Module|Arch]]
 +
|IconL=Arch_RemoveShape.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_MergeWalls.svg
 +
}}
 +
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">
 
{{GuiCommand/cs|Name=Arch CloseHoles|Name/cs=Arch CloseHoles|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Close Holes|SeeAlso=[[Arch Check]]}}
 
{{GuiCommand/cs|Name=Arch CloseHoles|Name/cs=Arch CloseHoles|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Close Holes|SeeAlso=[[Arch Check]]}}
Line 8: Line 18:
 
Tento nástroj identifikuje mezery (kruhovité sekvence s otevřenými okraji) v objektu [[Part Module|Tvary]] a pokouší se je uzavřít přidáním nové části vytvořené z okrajové sekvence. Nicméně, musíte přitom stále kontrolovat zda je výsledek těleso.
 
Tento nástroj identifikuje mezery (kruhovité sekvence s otevřenými okraji) v objektu [[Part Module|Tvary]] a pokouší se je uzavřít přidáním nové části vytvořené z okrajové sekvence. Nicméně, musíte přitom stále kontrolovat zda je výsledek těleso.
  
 +
<div class="mw-translate-fuzzy">
 
==Použití==
 
==Použití==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
# Vyberte objekt [[Part Module|Tvar]]
 
# Vyberte objekt [[Part Module|Tvar]]
# Stiskněte tlačítko {{KEY|[[Image:Arch CloseHoles.png|16px]] '''Uzavřít mezery'''}} a dostanete se do nástrojového menu Architektura -> Menu Utility  
+
# Stiskněte tlačítko {{KEY|[[Image:Arch CloseHoles.png|16px]] '''Uzavřít mezery'''}} a dostanete se do nástrojového menu Architektura -> Menu Utility
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
==Skriptování==
 
==Skriptování==
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Tento nástroj může být použit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 
Tento nástroj může být použit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 +
</div>
 
{{Code|code=
 
{{Code|code=
closeHole (shape)
+
solid = closeHole(shape)
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 
uzavře mezery v otevřeném tvaru
 
uzavře mezery v otevřeném tvaru
 +
</div>
 +
 +
Example:
 +
{{Code|code=
 +
import FreeCAD, Draft, Arch
 +
 +
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
 +
Wall = Arch.makeWall(Line, width=150, height=3000)
 +
 +
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
 +
Box.Length = 900
 +
Box.Width = 450
 +
Box.Height = 2000
 +
FreeCAD.ActiveDocument.recompute()
 +
 +
Draft.rotate(Box, 45)
 +
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))
 +
 +
Arch.removeComponents(Box, Wall)
 +
FreeCAD.ActiveDocument.recompute()
 +
 +
solid = Arch.closeHole(Wall.Shape)
 +
}}
 +
 +
{{docnav
 +
|[[Arch_RemoveShape|Remove Shape]]
 +
|[[Arch_MergeWalls|Merge Walls]]
 +
|[[Arch_Module|Arch]]
 +
|IconL=Arch_RemoveShape.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_MergeWalls.svg
 +
}}
 +
 +
{{Arch Tools navi{{#translation:}}}}
  
[[Category:Arch]]
+
{{Userdocnavi{{#translation:}}}}

Latest revision as of 18:23, 19 February 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape

Arch CloseHoles.svg Arch CloseHoles

Umístění Menu
Arch → Utilities → Close Holes
Pracovní stoly
Arch
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Arch Check


Popis

Tento nástroj identifikuje mezery (kruhovité sekvence s otevřenými okraji) v objektu Tvary a pokouší se je uzavřít přidáním nové části vytvořené z okrajové sekvence. Nicméně, musíte přitom stále kontrolovat zda je výsledek těleso.

Použití

  1. Vyberte objekt Tvar
  2. Stiskněte tlačítko Arch CloseHoles.png Uzavřít mezery a dostanete se do nástrojového menu Architektura -> Menu Utility

Skriptování

Tento nástroj může být použit v makrech a z konzoly Pythonu použitím následující funkce:

solid = closeHole(shape)

uzavře mezery v otevřeném tvaru

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)
Arrow-left.svg Previous: Arch RemoveShape.svg Remove Shape